curl -X GET https://api.livchat.ai/v1/contacts/list \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"code": 200,
"data": {
"5511999999999@s.whatsapp.net": {
"businessName": "",
"firstName": "John",
"found": true,
"fullName": "John Doe",
"pushName": "Johnny"
},
"5511888888888@s.whatsapp.net": {
"businessName": "ACME Corp",
"firstName": "",
"found": true,
"fullName": "",
"pushName": "ACME Support"
}
}
}
Contacts
List Contacts
Get all contacts from your WhatsApp account
GET
/
v1
/
contacts
/
list
curl -X GET https://api.livchat.ai/v1/contacts/list \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"code": 200,
"data": {
"5511999999999@s.whatsapp.net": {
"businessName": "",
"firstName": "John",
"found": true,
"fullName": "John Doe",
"pushName": "Johnny"
},
"5511888888888@s.whatsapp.net": {
"businessName": "ACME Corp",
"firstName": "",
"found": true,
"fullName": "",
"pushName": "ACME Support"
}
}
}
Retrieve all contacts saved in your WhatsApp account.
Response Fields
Object with JIDs as keys, each containing contact details
curl -X GET https://api.livchat.ai/v1/contacts/list \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"code": 200,
"data": {
"5511999999999@s.whatsapp.net": {
"businessName": "",
"firstName": "John",
"found": true,
"fullName": "John Doe",
"pushName": "Johnny"
},
"5511888888888@s.whatsapp.net": {
"businessName": "ACME Corp",
"firstName": "",
"found": true,
"fullName": "",
"pushName": "ACME Support"
}
}
}
⌘I